org.apache.felix.gogo.jline

## Class Posix.SortComparator

- java.lang.Object
- - org.apache.felix.gogo.jline.Posix.SortComparator

All Implemented Interfaces:
  Comparator<String>

Enclosing class:
  Posix

    public static class Posix.SortComparator
    extends Object
    implements Comparator<String>

### Nested Class Summary

Nested Classes
`class` `Posix.SortComparator.Key`

### Constructor Summary

Constructors
Constructor and Description
`SortComparator(boolean caseInsensitive, boolean reverse, boolean ignoreBlanks, boolean numeric, char separator, List<String> sortFields)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(String o1, String o2)`
`protected int` `compareRegion(String s1, int start1, int end1, String s2, int start2, int end2, boolean caseInsensitive)`
`protected Double` `getDouble(String s, int start, int end)`
`protected List<Integer>` `getFieldIndexes(String o)`
`protected int[]` `getSortKey(String str, List<Integer> fields, Posix.SortComparator.Key key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### SortComparator

    public SortComparator(boolean caseInsensitive,
                          boolean reverse,
                          boolean ignoreBlanks,
                          boolean numeric,
                          char separator,
                          List<String> sortFields)

### Method Detail

#### compare

    public int compare(String o1,
                       String o2)

Specified by:
  `compare` in interface `Comparator<String>`

#### getDouble

    protected Double getDouble(String s,
                               int start,
                               int end)

#### compareRegion

    protected int compareRegion(String s1,
                                int start1,
                                int end1,
                                String s2,
                                int start2,
                                int end2,
                                boolean caseInsensitive)

#### getSortKey

    protected int[] getSortKey(String str,
                               List<Integer> fields,
                               Posix.SortComparator.Key key)

#### getFieldIndexes

    protected List<Integer> getFieldIndexes(String o)